Importer.loadQtBinding( "qt.core" );

// sends a list of all filenames in the playlist to K3B to write the tracks to an audio cd:
function BurnAudioCD() {
    // get filenames from playlist:
    var PlaylistItems = Amarok.Playlist.filenames();
    // put "--audiocd" argument before the filelist
    PlaylistItems.unshift("--audiocd");
    // fire up k3b
    QProcess.execute("k3b", PlaylistItems);
    }

function BurnAudioCDSel() {
    // get selection filenames from playlist:
    var PlaylistItems = Amarok.Playlist.selectedFilenames();
    // put "--audiocd" argument before the filelist
    PlaylistItems.unshift("--audiocd");
    // fire up k3b
    QProcess.execute("k3b", PlaylistItems);
    }


function BurnMP3CD() {
    // get filenames from playlist:
    var PlaylistItems = Amarok.Playlist.filenames();
    // put "--datacd" argument before the filelist
    PlaylistItems.unshift("--data");
    // fire up k3b
    QProcess.execute("k3b", PlaylistItems);
    }

function BurnMP3CDSel() {
    // get filenames from playlist:
    var PlaylistItems = Amarok.Playlist.selectedFilenames();
    // put "--datacd" argument before the filelist
    PlaylistItems.unshift("--data");
    // fire up k3b
    QProcess.execute("k3b", PlaylistItems);
    }

// Create ToolMenu-Entry:
Amarok.Window.addToolsSeparator();
Amarok.Window.addToolsMenu( "K3B_MP3", "Write playlist to MP3 CD", "k3b" );
Amarok.Window.addToolsMenu( "K3B_MP3_sel", "Write selection to MP3 CD", "k3b" );
Amarok.Window.addToolsMenu( "K3B_Audio", "Write playlist to audio CD", "k3b" );
Amarok.Window.addToolsMenu( "K3B_Audio_sel", "Write selection to audio CD", "k3b" );

// Connect Menu-Entry with function BurnCD
var MP3Menu = Amarok.Window.ToolsMenu.K3B_MP3;
	MP3Menu['triggered()'].connect(BurnMP3CD);
var AudioMenu = Amarok.Window.ToolsMenu.K3B_Audio;
	AudioMenu['triggered()'].connect(BurnAudioCD);
var MP3MenuSel = Amarok.Window.ToolsMenu.K3B_MP3_sel;
	MP3MenuSel['triggered()'].connect(BurnMP3CDSel);
var AudioMenuSel = Amarok.Window.ToolsMenu.K3B_Audio_sel;
	AudioMenuSel['triggered()'].connect(BurnAudioCDSel);

